---
layout: post
title: "I have uploaded a 3d model of the smoothie board to youmagine if anybody is interested,"
date: June 24, 2015 21:03
category: "General discussion"
author: "Andrew Wade"
---
I have uploaded a 3d model of the smoothie board to youmagine if anybody is interested,





**"Andrew Wade"**

---
---
**Arthur Wolf** *June 24, 2015 23:03*

Wow nice :)


---
**Tiago Vale** *June 25, 2015 08:20*

Thank you ;)


---
*Imported from [Google+](https://plus.google.com/112929738014057369475/posts/BsvVJEFDxAj) &mdash; content and formatting may not be reliable*
